tftp-proxy(8)

NAME

tftp-proxy - TFTP server that request files not found from an HTTP backend

SYNOPSIS

    tftp-proxy -url=http://example.com -dir=/var/lib/tftpboot

DESCRIPTION

This program is a simple TFTP server that additionally requests a file not found locally from a configured HTTP backend.

OPTIONS

-dir=<directory>
    The directory to serve files from. Default: /var/lib/tftpboot

-url=<address>
    The address of the HTTP server to connect to. Mandatory.

ENVIRONMENT VARIABLES

The http_proxy environment variable is respected when fetching files from the HTTP server. This might come handy as tftp-proxy does not write any files.

COPYRIGHT&LICENSE

Copyright (C) 2019-2020 Arnoud Vermeer <avermeer@tucows.com>

License (Apache-2.0):

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    https://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    On Debian systems, the complete text of the Apache version 2.0 license
    can be found in "/usr/share/common-licenses/Apache-2.0".

AUTHOR

This manpage is based on the usage output of tftp-proxy and documentation. It was written for the Debian project by Christoph Biedl <debian.axhn@manchmal.in-ulm.de> but may be used by others.